<?php

include_once "init.php";

if (!extension_loaded("sockets"))
{
  include_once "header.php";
  echo '<h1>Query</h1><div style="color: red">Sockets extension is not loaded</div>';
  include_once "footer.php";
  die;
}

$conf = cfg_get();
$port = isset($conf['__ListenPort']) ? $conf['__ListenPort'] : $default_ListenPort;


// ***** Start Output **********************************************************

include_once "header.php";
echo "<h1>Test</h1><div><pre>";

echo "&gt; Create socket... ";
@ob_flush(); @flush();
$socket = @socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
if ($socket) echo "OK<br />"; else echo "Failed<br />";

if ($socket)
{
  echo "&gt; Connect {$_SERVER["SERVER_NAME"]}:$port... ";
  @ob_flush(); @flush();
  $result = @socket_connect($socket, $_SERVER["SERVER_NAME"], $port);
  if ($result) echo "OK<br />"; else echo "Failed<br />";

  if ($result)
  {
    echo "&gt; Read from {$_SERVER["SERVER_NAME"]}:$port... ";
    @ob_flush(); @flush();
    $result = @socket_read($socket, 1024);
    if ($result) echo "OK<br />"; else echo "Failed<br />";
  }

  echo "&gt; Close socket... ";
  @ob_flush(); @flush();
  @socket_shutdown($socket, 2);
  @socket_close   ($socket);
  echo "OK<br />";
}

echo  "</pre></div>";
include_once "footer.php";

?>