<?php

error_reporting(E_ALL ^ E_NOTICE);
ini_set('display_errors', 1);
ini_set(    'log_errors', 0);

header('Pragma: no-cache');
header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
header('Expires: Fri, 31 Dec 1999 23:59:59 GMT');

if (get_magic_quotes_gpc() && !function_exists('strip_slashes_deep'))
{
  function strip_slashes_deep($value)
  {
    return is_array($value) ? array_map('strip_slashes_deep', $value) : stripslashes($value);
  }
  $_GET    = strip_slashes_deep($_GET);
  $_POST   = strip_slashes_deep($_POST);
  $_COOKIE = strip_slashes_deep($_COOKIE);
}

$uname = isset($_GET['uname']) ? $_GET['uname'] : '';

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<title>User Info</title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<style type="text/css">

a, body, h1, img { border: none; margin: 0px; padding: 0px; text-align: left; }

a    { color: #600000; font-weight: 100; }

body { font-family: Verdana, Sans-Serif; font-size: 0.7em; margin: 20px 20px 20px 20px; }
h1   { font-family:   Arial, Sans-Serif; font-size: 1.5em; margin:  0px  0px 20px  0px; }

</style>

</head>
<body>

<?php if ($uname) { ?>

<h1><?=htmlentities($uname);?>'s homepage</h1>

This is a demo homepage. This is a demo homepage.<br />
This is a demo homepage. This is a demo homepage.<br />
This is a demo homepage. This is a demo homepage.<br />
<br />
<br />
Online status: <img src="status.php?uname=<?=urlencode($uname);?>" width="23" heigh="25" alt="" />
<br />
<br />
[<a href="im301:run?task=connect&amp;name=<?=urlencode($uname);?>&amp;task=chat">chat with <?=htmlentities($uname);?></a>]
[<a href="im301:run?task=connect&amp;name=<?=urlencode($uname);?>&amp;task=add" >add       <?=htmlentities($uname);?> to contacts</a>]

<?php } ?>

</body>
</html>